package cn.com.qmth.examcloud.tool.controller;

import cn.com.qmth.examcloud.tool.config.Constants;
import cn.com.qmth.examcloud.tool.service.CommonService;
import cn.com.qmth.examcloud.tool.vo.user.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class IndexController extends BaseController {

    @Autowired
    private CommonService commonService;

    @GetMapping(value = "/")
    public String index() {
        return "index";
    }

    @GetMapping(value = "/logout")
    public String logout() {
        currentSession().removeAttribute(Constants.LOGIN_USER);
        return "redirect:/login";
    }

    @GetMapping(value = "/login")
    public String login() {
        if (currentLoginUser() != null) {
            return "redirect:/admin/workspace";
        }
        return "login";
    }

    @PostMapping(value = "/login")
    public void doLogin(@RequestParam String domain,
                        @RequestParam String loginName,
                        @RequestParam String password) {
        User user = commonService.login(domain, loginName, password);
        currentSession().setAttribute(Constants.LOGIN_USER, user);
    }

    @GetMapping(value = "/admin/workspace")
    public String workspace() {
        return "admin/workspace";
    }

}
