package cn.com.qmth.examcloud.tool.service.export_student_answer_and_score_detail.vo;

import cn.com.qmth.examcloud.tool.vo.paper.AnswerType;
import cn.com.qmth.examcloud.tool.vo.paper.QuestionType;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class ExamQuestionVO implements Serializable {

    private static final long serialVersionUID = -6141069483774400912L;

    private String id;

    /**
     * 考试记录Data Id
     */
    private Long examRecordDataId;

    /**
     * 大题号
     */
    private Integer mainNumber;

    /**
     * 原题ID
     */
    private String questionId;

    /**
     * 顺序
     */
    private Integer order;

    /**
     * 小题分数
     */
    private Double questionScore;

    /**
     * 小题类型
     */
    private QuestionType questionType;

    /**
     * 标准答案
     */
    private String correctAnswer;

    /**
     * 考生作答
     */
    private String studentAnswer;

    /**
     * 学生小题得分
     */
    private Double studentScore;

    /**
     * 是否作答
     */
    private Boolean isAnswer;

    /**
     * 是否标记
     */
    private Boolean isSign;

    /**
     * 选项排序值
     */
    private Integer[] optionPermutation;

    /**
     * 音频播放次数
     */
    private String audioPlayTimes;

    /**
     * 题目作答类型
     */
    private AnswerType answerType;

}
